Bug 10351 - Sound Blaster PCI128 (es1371) sounds crackling and popping with VIA Apollo VPX
Sound Blaster PCI128 (es1371) sounds crackling and popping with VIA Apollo VPX
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
6.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-03-26 09:08 EST by szigand
Modified: 2007-04-18 12:26 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-15 22:03:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description szigand 2000-03-26 09:08:23 EST
I've changed my motherboard to a Via Apollo VPX with a P200MMX, and my
sound card (Sound Blaster PCI128, es1371) gets noisy, sounds crackling and
popping sometimes. I've tried mpg123, xmms and freeamp. I've searched the
mailing lists, newsgroups, read the documentations of the kernel and the
modules, tried to switch off PCI Quirks in kernel2.2.14, switched off the
PCI Optimizations, tried kernel2.2.15pre3, and 2.3.99pre3, and tried to use
powertweak, too. And changed the BIOS settings. Sometimes - as I think -
there's a little change, but the crackling doesn't stop. I've also tried
ALSA and the commercial OSS. I've tried nearly everything :)

I've installed a win98 to try the card's own driver, it works, no
crackling, no popping, no noise. And I also put this card to an other box
with no VIA chipset, it worked, too.

Well... I know - or I think :) - that this VIA chipset has got some
problems and not so compatible, but what should I do? I've read in
creative's newsgroup that other ones have this problem too, and I wouldn't
try to solve this problem if this card didn't work with win98. If it didn't
work I would know that this motherboard doesn't like this sound card and
nothing to do. But it works and I would like to have it worked under linux
too :) Or should I change my motherboard?:)

Do you have an idea what to do? I can code in C and already have done some
hardware programming (but no DMA programming and I don't know how the linux
kernel works), so if someone would like me to try some code and recompile
the kernel, or what else, please feel free to drop me an e-mail. Until I
change my motherboard... :) Other ones have the same problem with this
chipset  & card so I would like to help in solving it, and to make linux a
bit better :)

Thanx for reading this, bye,

Andras Szigethy
szigand@freemail.hu

p.s.: the output of lspci -vv
00:00.0 Host bridge: VIA Technologies, Inc. VT82C585VP [Apollo VP1/VPX]
(rev 23)
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap- 66Mhz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR+
        Latency: 32 set

00:07.0 ISA bridge: VIA Technologies, Inc. VT82C586 ISA [Apollo VP] (rev
27)
        Control: I/O+ Mem+ BusMaster+ SpecCycle+ MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap- 66Mhz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
        Latency: 0 set

00:07.1 IDE interface: VIA Technologies, Inc. VT82C586 IDE [Apollo] (rev
06) (prog-if 8a)
        Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap- 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
        Latency: 32 set
        Region 4: I/O ports at 6000

00:0e.0 Multimedia audio controller: Ensoniq ES1371 (rev 06)
        Subsystem: Unknown device 1274:1371
   Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap+ 66Mhz- UDF- FastB2B- ParErr- DEVSEL=slow >TAbort-
<TAbort- <MAbort+ >SERR- <PERR-
        Latency: 12 min, 128 max, 32 set
        Interrupt: pin A routed to IRQ 9
        Region 0: I/O ports at 6200
        Capabilities: [dc] Power Management version 1
                Flags: PMEClk- AuxPwr+ DSI+ D1- D2+ PME+
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-

00:0f.0 VGA compatible controller: S3 Inc. Trio64V2/DX or /GX (rev 16)
        Subsystem: Unknown device 5333:8901
        Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap- 66Mhz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
        Interrupt: pin A routed to IRQ 11
        Region 0: Memory at e0000000 (32-bit, non-prefetchable)
Comment 1 Alan Cox 2002-12-15 22:03:04 EST
Fixed in later Linux (needed some handling for compatibility stuff that we never
knew about at the time or had docs on)


Note You need to log in before you can comment on or make changes to this bug.